const router = require('express').Router();
const StudPer = require('../models/studPer.model');

router.route('/store').post((req ,res) =>{
    const student_id = req.body.student_id;
    const sex = req.body.sex;
    const study_time = req.body.study_time;
    const activities = req.body.activities;
    const internet = req.body.internet;
    const free_time = req.body.free_time;
    const absences = req.body.absences;
    const g1 = req.body.g1;
    const g2 = req.body.g2;

    const newPerformanceDetails = new StudPer({
        student_id,
        sex,
        study_time,
        activities,
        internet,
        free_time,
        absences,
        g1,
        g2
    });

    newPerformanceDetails.save()
        .then(()=> res.json('Student Performance Details Added!'))
        .catch(err => res.status(400).json('Error :'+err));
});

module.exports = router;