const mongoose = require('mongoose');
const  Schema = mongoose.Schema;

let FinanceSchema = new Schema({
    account_month : {type:String, required:true},
    direct_income : {type: String, required:true},
    indirect_income : {type: String, required:true},
    total_income : {type: String, required:true},
    direct_expenses : {type: String, required:true},
    indirect_expenses : {type: String, required:true},
    total_expenses : {type: String, required:true},
    gross_revenue : {type: String, required:true}
},{
    timestamps : true
});


const Finance = mongoose.model('finance', FinanceSchema);

module.exports = Finance;