const mongoose = require('mongoose');
const Schema = mongoose.Schema;

let PerformanceSchema = new Schema({
    student_id : {type:mongoose.Schema.Types.ObjectId,ref: 'student', required:true},
    sex : {type:Boolean, required:true},
    study_time : {type: Number, required:true},
    activities : {type: Boolean, required:true},
    internet : {type: Boolean, required:true},
    free_time : {type: Number, required:true},
    absences : {type: Number, required:true},
    g1 : {type: Number, required:true},
    g2 : {type: Number, required:true}
},{
    timestamps : true
});

const StudPerf = mongoose.model('stud_performance', PerformanceSchema);

module.exports = StudPerf;